Index: extrinsics.c
===================================================================
--- extrinsics.c	(revisión: 290)
+++ extrinsics.c	(copia de trabajo)
@@ -700,35 +700,6 @@
   pthread_create(&(all[extrinsics_id].mythread),NULL,extrinsics_thread,NULL);
   pthread_mutex_unlock(&(all[extrinsics_id].mymutex));
 
-  /* registering screen and display variables */
-   if ((myscreen=(int *)myimport("graphics_xforms", "screen"))==NULL){
-     fprintf (stderr, "extrinsics: I can't fetch screen from graphics_xforms\n");
-     jdeshutdown(1);
-   }
-   if ((mydisplay=(Display *)myimport("graphics_xforms", "display"))==NULL){
-     fprintf (stderr, "extrinsics: I can't fetch display from graphics_xforms\n");
-     jdeshutdown(1);
-   }
-
-   if (myregister_buttonscallback==NULL){
-      if ((myregister_buttonscallback=(registerbuttons)myimport ("graphics_xforms", "register_buttonscallback"))==NULL){
-         printf ("I can't fetch register_buttonscallback from graphics_xforms\n");
-         jdeshutdown(1);
-      }
-      if ((mydelete_buttonscallback=(deletebuttons)myimport ("graphics_xforms", "delete_buttonscallback"))==NULL){
-         printf ("I can't fetch delete_buttonscallback from graphics_xforms\n");
-         jdeshutdown(1);
-      }
-      if ((myregister_displaycallback=(registerdisplay)myimport ("graphics_xforms", "register_displaycallback"))==NULL){
-         printf ("I can't fetch register_displaycallback from graphics_xforms\n");
-         jdeshutdown(1);
-      }
-      if ((mydelete_displaycallback=(deletedisplay)myimport ("graphics_xforms", "delete_displaycallback"))==NULL){
-         jdeshutdown(1);
-         printf ("I can't fetch delete_displaycallback from graphics_xforms\n");
-      }
-   }
-
    /* initializes the 3D world */
    myconfig=fopen(configfile,"r");
    if(myconfig==NULL){
@@ -771,7 +742,36 @@
   update_camera_matrix(&mycameras[vcam]); 
 }
 
+void extrinsics_guiinit(void){
+   /* registering screen and display variables */
+   if ((myscreen=(int *)myimport("graphics_xforms", "screen"))==NULL){
+     fprintf (stderr, "extrinsics: I can't fetch screen from graphics_xforms\n");
+     jdeshutdown(1);
+   }
+   if ((mydisplay=(Display *)myimport("graphics_xforms", "display"))==NULL){
+     fprintf (stderr, "extrinsics: I can't fetch display from graphics_xforms\n");
+     jdeshutdown(1);
+   }
 
+   if (myregister_buttonscallback==NULL){
+      if ((myregister_buttonscallback=(registerbuttons)myimport ("graphics_xforms", "register_buttonscallback"))==NULL){
+         printf ("I can't fetch register_buttonscallback from graphics_xforms\n");
+         jdeshutdown(1);
+      }
+      if ((mydelete_buttonscallback=(deletebuttons)myimport ("graphics_xforms", "delete_buttonscallback"))==NULL){
+         printf ("I can't fetch delete_buttonscallback from graphics_xforms\n");
+         jdeshutdown(1);
+      }
+      if ((myregister_displaycallback=(registerdisplay)myimport ("graphics_xforms", "register_displaycallback"))==NULL){
+         printf ("I can't fetch register_displaycallback from graphics_xforms\n");
+         jdeshutdown(1);
+      }
+      if ((mydelete_displaycallback=(deletedisplay)myimport ("graphics_xforms", "delete_displaycallback"))==NULL){
+         jdeshutdown(1);
+         printf ("I can't fetch delete_displaycallback from graphics_xforms\n");
+      }
+   }
+}
 
 void set_sliders_position()
 {
@@ -1406,6 +1406,8 @@
 
 void extrinsics_show(){
    static callback fn=NULL;
+
+   extrinsics_guiinit();
    if (fn==NULL){
       if ((fn=(callback)myimport ("graphics_xforms", "resume_callback"))!=NULL){
          fn ((gui_function)extrinsics_show_aux);
